[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.ThreadHandle

Main process thread handle

## Declaration

Source position: processbody.inc line 129

`public property TPROCESS.ThreadHandle : THandle read FThreadHandle;`

## Description

ThreadHandle is the main process thread handle. On Unix, this is the same as the process ID, on Windows, this may be a different handle than the process handle.

The handle is only valid after TProcess.Execute has been called. It is not reset after the process stopped.

## See also

TProcess.Handle |  | Handle of the process
TProcess.ProcessID |  | ID of the process.
TProcess.ThreadID |  | ID of the main process thread